Skip to main content

createOrUpdateDastFinding

Create or Update a DAST Finding

createOrUpdateDastFinding(
input: CreateOrUpdateDastFindingInput!
): CreateOrUpdateDastFindingPayload

Arguments​

createOrUpdateDastFinding.input ● CreateOrUpdateDastFindingInput! non-null input​

Parameters for CreateOrUpdateDastFinding

Type​

CreateOrUpdateDastFindingPayload object​

Autogenerated return type of CreateOrUpdateDastFinding.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateDastFinding($input: CreateOrUpdateDastFindingInput!) {\n createOrUpdateDastFinding(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","method":"GET","scheme":"HTTP","url":"example","port":1}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute